Home
last modified time | relevance | path

Searched full:echo (Results 1 – 25 of 454) sorted by relevance

12345678910>>...19

/Zephyr-latest/tests/bsim/
Drun_parallel.sh8 echo "run_parallel.sh [-help] [options]"
9 echo " Execute all cases which do not start with an _ (underscore)"
10 echo " [options] will be passed directly to the scripts"
11 echo " The results will be saved to \${RESULTS_FILE}, by default"
12 echo " ../RunResults.xml"
13 echo " Testcases are searched for in \${SEARCH_PATH},"
14 echo " which by default is the folder the script is run from"
15 echo " You can instead also provide a space separated test list with \${TESTS_LIST}, "
16 echo " or an input file including a list of tests and/or tests search paths"
17 echo " \${TESTS_FILE} (w one line per test/path, you can comment lines with #)"
[all …]
Dci.uart.sh14 echo "UART: Single device tests"
15 echo " nRF52833 & 5340:"
20 echo " nRF54L15:"
25 echo "UART: Multi device tests"
/Zephyr-latest/tests/net/all/
Dcheck_net_options.sh8 echo "Usage: $0 <doc build directory>"
9 echo
10 echo "The parameter needs to point to a directory where Zephyr html"
11 echo "documentation is generated."
12 echo "Typically this is $ZEPHYR_BASE/doc/_build"
13 echo
14 echo "This script will generate a list of networking related Kconfig options"
15 echo "that are missing from prj.conf file."
22 echo "Directory $build_dir not found!"
29 echo "Kconfig documentation not found at $kconfig_dir"
[all …]
/Zephyr-latest/scripts/
Dcoccicheck10 echo 'spatch is part of the Coccinelle project and is available at http://coccinelle.lip6.fr/'
68 echo "$usage"
74 echo "unknown option: '${i#*=}'"
75 echo "$usage"
109 echo 'You have not explicitly specified the mode to use. Using default "report" mode.'
110 echo 'Available modes are the following: 'patch', 'report', 'context', 'org''
111 echo 'You can specify the mode with "./scripts/coccicheck --mode=<mode>"'
112 echo 'Note however that some modes are not implemented by some semantic patches.'
117 echo 'You have selected the "chain" mode.'
118 echo 'All available modes will be tried (in that order): patch, report, context, org'
[all …]
/Zephyr-latest/scripts/net/
Drun-sample-tests.sh25 echo '$ZEPHYR_BASE is unset' >&2
28 echo '$ZEPHYR_BASE is set, but it is not a directory' >&2
48 echo "\$ZEPHYR_BASE $ZEPHYR_BASE"
52 echo '$NET_TOOLS_BASE is unset, no net-tools found' >&2
55 echo '$NET_TOOLS_BASE set, but it is not a directory' >&2
60 echo "\$NET_TOOLS_BASE $NET_TOOLS_BASE"
72 echo
73 echo "Following directories under $ZEPHYR_BASE can be used by this script:"
85 echo "Docker image '$image' not found" >&2
94 echo "Could not start Docker network '$network'" >&2
[all …]
/Zephyr-latest/samples/net/sockets/echo_server/
DREADME.rst1 .. zephyr:code-sample:: sockets-echo-server
2 :name: Echo server (advanced)
10 The echo-server sample application for Zephyr implements a UDP/TCP server
11 that complements the echo-client sample application: the echo-server listens
12 for incoming IPv4 or IPv6 packets (sent by the echo client) and simply sends
27 usage scenario is to run echo-server application inside QEMU. This is
31 echo-server directory:
55 Build echo-server sample application like this:
107 directory. The default certificates used by Socket Echo Server and
108 :zephyr:code-sample:`sockets-echo-client` enable establishing a secure connection
[all …]
Ddocker-test.sh5 echo "Do not run this script directly!"
6 echo "Run $ZEPHYR_BASE/scripts/net/run-sample-tests.sh instead."
13 start_docker "/net-tools/echo-client -i eth0 192.0.2.1" \
14 "/net-tools/echo-client -i eth0 2001:db8::1" \
15 "/net-tools/echo-client -i eth0 192.0.2.1 -t" \
16 "/net-tools/echo-client -i eth0 2001:db8::1 -t"
DCMakeLists.txt12 COMMAND ${CMAKE_COMMAND} -E echo "----------------------------------------------------------"
13 COMMAND ${CMAKE_COMMAND} -E echo "--- WARNING: Using dummy PSK! Only suitable for ---"
14 COMMAND ${CMAKE_COMMAND} -E echo "--- development. Set NET_SAMPLE_PSK_HEADER_FILE to use ---"
15 COMMAND ${CMAKE_COMMAND} -E echo "--- own pre-shared key. ---"
16 COMMAND ${CMAKE_COMMAND} -E echo "----------------------------------------------------------"
21 target_sources( app PRIVATE src/echo-server.c)
44 echo-apps-cert.der
45 echo-apps-key.der
/Zephyr-latest/.github/workflows/
Dready-to-merge.yml18 JOB_IDS=$(echo "$NEEDS_CONTEXT" | jq -r 'keys[]')
20 RESULT=$(echo "$NEEDS_CONTEXT" | jq -r ".[\"$JOB_ID\"].result")
21 echo "$JOB_ID job result: $RESULT"
23 echo "***"
24 echo "Error: The $JOB_ID job did not pass."
28 echo "All jobs passed or were skipped."
Dtwister-prep.yaml48 echo "ZEPHYR_RUNNER_CLOUD_PROVIDER = ${ZEPHYR_RUNNER_CLOUD_PROVIDER}"
49 echo "ZEPHYR_RUNNER_CLOUD_NODE = ${ZEPHYR_RUNNER_CLOUD_NODE}"
50 echo "ZEPHYR_RUNNER_CLOUD_POD = ${ZEPHYR_RUNNER_CLOUD_POD}"
80echo "ZEPHYR_SDK_INSTALL_DIR=/opt/toolchains/zephyr-sdk-$( cat SDK_VERSION )" >> $GITHUB_ENV
91 echo "TWISTER_NODES=${MATRIX_SIZE}" >> $GITHUB_ENV
105 echo "subset=${subset}" >> $GITHUB_OUTPUT
106 echo "size=${size}" >> $GITHUB_OUTPUT
107 echo "fullrun=${TWISTER_FULL}" >> $GITHUB_OUTPUT
128 echo "ZEPHYR_RUNNER_CLOUD_PROVIDER = ${ZEPHYR_RUNNER_CLOUD_PROVIDER}"
129 echo "ZEPHYR_RUNNER_CLOUD_NODE = ${ZEPHYR_RUNNER_CLOUD_NODE}"
[all …]
/Zephyr-latest/samples/net/sockets/echo_client/
DCMakeLists.txt12 COMMAND ${CMAKE_COMMAND} -E echo "----------------------------------------------------------"
13 COMMAND ${CMAKE_COMMAND} -E echo "--- WARNING: Using dummy PSK! Only suitable for ---"
14 COMMAND ${CMAKE_COMMAND} -E echo "--- development. Set NET_SAMPLE_PSK_HEADER_FILE to use ---"
15 COMMAND ${CMAKE_COMMAND} -E echo "--- own pre-shared key. ---"
16 COMMAND ${CMAKE_COMMAND} -E echo "----------------------------------------------------------"
21 target_sources( app PRIVATE src/echo-client.c)
32 src/echo-apps-cert.der
33 ${gen_dir}/echo-apps-cert.der.inc
DREADME.rst1 .. zephyr:code-sample:: sockets-echo-client
2 :name: Echo client (advanced)
10 The echo-client sample application for Zephyr implements a UDP/TCP client
26 usage scenario is to run echo-client application inside QEMU. This is
30 echo-client directory:
51 Build echo-client sample application like this:
105 ``src`` directory. The default certificates used by Socket Echo Client and
106 :zephyr:code-sample:`sockets-echo-server` enable establishing a secure connection
112 It is also possible to connect to the echo-server through a SOCKS5 proxy.
117 same host as the echo-server in Linux host.
[all …]
Ddocker-test.sh5 echo "Do not run this script directly!"
6 echo "Run $ZEPHYR_BASE/scripts/net/run-sample-tests.sh instead."
11 start_docker "/net-tools/echo-server -i eth0" || return $?
/Zephyr-latest/samples/net/sockets/echo/
DREADME.rst1 .. zephyr:code-sample:: sockets-echo
2 :name: Echo server (simple)
5 Implements a simple IPv4/IPv6 TCP echo server using BSD sockets.
10 The sockets/echo sample application for Zephyr implements a TCP echo
17 :zephyr_file:`samples/net/sockets/echo`.
28 Build the Zephyr version of the sockets/echo application like this:
31 :zephyr-app: samples/net/sockets/echo
43 After a connection is made, the application will echo back any line sent
82 the IP address will be printed to the console upon running this echo
Dsample.yaml2 description: BSD Sockets API TCP echo server sample
9 sample.net.sockets.echo:
13 sample.net.sockets.echo.offload.simplelink:
/Zephyr-latest/samples/net/sockets/http_server/src/certs/
Dgen_server_cert.sh19 echo "subjectKeyIdentifier=hash" > server_csr.ext
20 echo "authorityKeyIdentifier=keyid,issuer" >> server_csr.ext
21 echo "basicConstraints=critical,CA:FALSE" >> server_csr.ext
22 echo "keyUsage=critical,digitalSignature" >> server_csr.ext
23 echo "extendedKeyUsage=serverAuth" >> server_csr.ext
24 echo "subjectAltName=DNS:zephyr.local,IP.1:192.0.2.1,IP.2:2001:db8::1" >> server_csr.ext
/Zephyr-latest/tests/bsim/net/sockets/echo_test/
DCMakeLists.txt11 COMMAND ${CMAKE_COMMAND} -E echo "----------------------------------------------------------"
12 COMMAND ${CMAKE_COMMAND} -E echo "--- WARNING: Using dummy PSK! Only suitable for ---"
13 COMMAND ${CMAKE_COMMAND} -E echo "--- development. Set NET_SAMPLE_PSK_HEADER_FILE to use ---"
14 COMMAND ${CMAKE_COMMAND} -E echo "--- own pre-shared key. ---"
15 COMMAND ${CMAKE_COMMAND} -E echo "----------------------------------------------------------"
29 target_sources( app PRIVATE ${echo_client_path}/src/echo-client.c)
40 ${echo_client_path}/src/echo-apps-cert.der
41 ${gen_dir}/echo-apps-cert.der.inc
/Zephyr-latest/samples/drivers/i2s/echo/
DREADME.rst1 .. zephyr:code-sample:: i2s-echo
2 :name: I2S echo
5 Process an audio stream to add an echo effect.
13 a simple echo effect.
37 The code can be found in :zephyr_file:`samples/drivers/i2s/echo`.
42 :zephyr-app: samples/drivers/i2s/echo
47 Press Button 1 to toggle the echo effect and Button 2 to stop the streams.
Dsample.yaml2 name: I2S echo sample
4 sample.drivers.i2s.echo:
16 - "I2S echo sample"
/Zephyr-latest/include/zephyr/net/
Dicmp.h11 * @defgroup icmp Send and receive IPv4 or IPv6 ICMP Echo Request messages.
33 #define NET_ICMPV4_ECHO_REQUEST 8 /**< ICMPv4 Echo-Request */
34 #define NET_ICMPV4_ECHO_REPLY 0 /**< ICMPv4 Echo-Reply */
35 #define NET_ICMPV6_ECHO_REQUEST 128 /**< ICMPv6 Echo-Request */
36 #define NET_ICMPV6_ECHO_REPLY 129 /**< ICMPv6 Echo-Reply */
60 * @brief Handler function that is called when an Echo-Request is sent
69 * @param params Echo-Request specific parameters. May be NULL in which case
121 * Echo-Request (ping) messages.
124 /** An identifier to aid in matching Echo Replies to this Echo Request.
129 /** A sequence number to aid in matching Echo Replies to this
[all …]
/Zephyr-latest/samples/drivers/uart/echo_bot/
DREADME.rst2 :name: UART echo
5 Read data from the console and echo it back.
11 echo bot. It reads data from the console and echoes the characters back after
38 Hello! I\'m your echo bot.
41 Echo: Hi there!
/Zephyr-latest/samples/net/mqtt_publisher/
Ddocker-test.sh5 echo "Do not run this script directly!"
6 echo "Run $ZEPHYR_BASE/scripts/net/run-sample-tests.sh instead."
10 echo "Starting MQTT test"
28 echo "Starting MQTT TLS test"
48 echo "Starting MQTT TLS + proxy test"
/Zephyr-latest/samples/net/sockets/echo_async/
DREADME.rst1 .. zephyr:code-sample:: async-sockets-echo
2 :name: Asynchronous echo server using poll()
5 Implement an asynchronous IPv4/IPv6 TCP echo server using BSD sockets and poll()
10 The sockets/echo-async sample application for Zephyr implements an
11 asynchronous IPv4/IPv6 TCP echo server using a BSD Sockets compatible API
13 the :zephyr:code-sample:`sockets-echo` sample. It's a more involved application,
45 After a connection is made, the application will echo back any line sent to
46 it. Unlike the above-mentioned :zephyr:code-sample:`sockets-echo` sample, this application
/Zephyr-latest/samples/net/sockets/echo_async_select/
DREADME.rst1 .. zephyr:code-sample:: async-sockets-echo-select
2 :name: Asynchronous echo server using select()
5 Implement an asynchronous IPv4/IPv6 TCP echo server using BSD sockets and select()
11 asynchronous IPv4/IPv6 TCP echo server using a BSD Sockets compatible API
13 the :zephyr:code-sample:`async-sockets-echo` sample.
43 After a connection is made, the application will echo back any line sent to
44 it. Unlike the :zephyr:code-sample:`sockets-echo` sample, this application
/Zephyr-latest/samples/net/prometheus/
DCMakeLists.txt14 COMMAND ${CMAKE_COMMAND} -E echo "----------------------------------------------------------"
15 COMMAND ${CMAKE_COMMAND} -E echo "--- WARNING: Using dummy PSK! Only suitable for ---"
16 COMMAND ${CMAKE_COMMAND} -E echo "--- development. Set NET_SAMPLE_PSK_HEADER_FILE to use ---"
17 COMMAND ${CMAKE_COMMAND} -E echo "--- own pre-shared key. ---"
18 COMMAND ${CMAKE_COMMAND} -E echo "----------------------------------------------------------"

12345678910>>...19